### Constructor

# Gdk Texturenew_from_filename

since: 4.6

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_from_filename (
      const char* path,
      GError** error
    )

#### Description [src]

Creates a new texture by loading an image from a file.

The file format is detected automatically. The supported formats are PNG, JPEG and TIFF, though more formats might be available.

If `NULL` is returned, then `error` will be set.

This function is threadsafe, so that you can e.g. use GTask and `g_task_run_in_thread()` to avoid blocking the main thread while loading a big image.

Available since: 4.6

#### Parameters

`path`

  Type: `const char*`

  The filename to load.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkTexture`

A newly-created `GdkTexture`

The caller of the function takes ownership of the data, and is responsible for freeing it.